Package org.apache.felix.hc.core.impl.scheduling.cron.quartz

## Class QuartzCronScheduler

- java.lang.Object
- - org.apache.felix.hc.core.impl.scheduling.cron.quartz.QuartzCronScheduler

    public class QuartzCronScheduler
    extends Object

Wrapper around org.quartz.Scheduler

### Nested Class Summary

Nested Classes
`class` `QuartzCronScheduler.QuartzThreadPool`

### Constructor Summary

Constructors
`QuartzCronScheduler​(HealthCheckExecutorThreadPool healthCheckExecutorThreadPool)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.quartz.Scheduler` `getScheduler()`
`void` `shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QuartzCronScheduler

    public QuartzCronScheduler​(HealthCheckExecutorThreadPool healthCheckExecutorThreadPool)

### Method Detail

#### shutdown

    public void shutdown()

#### getScheduler

    public org.quartz.Scheduler getScheduler()